<section id="TMFGroup" class=" mt-5">

  <h1>Generar comparativo</h1>

  <div class="container">

    <table cellpadding="10">


      <tr>
        <td width="5%"><b>Tipo periodo</b></td>

        <td width="30%"><select id="selectPeriodo" name="periodoTipoId" class="form-control"
            [(ngModel)]="selectPeriodo"  (change)="tipoPeriodo()">

            <option *ngFor="let periodoTipo of periodoTipos; let index = index" [ngValue]="periodoTipo">
              {{periodoTipo.tipoPeriodoNombre}}</option>
          </select></td>

        
          <td width="5%" *ngIf="this.selectPeriodo.tipoPeriodoId == 2; else noOwner"><b>Bimestre</b></td>

          <td width="30%" *ngIf="this.selectPeriodo.tipoPeriodoId == 2;"><select id="bimestres" name="bimestres" class="form-control" [(ngModel)]="selectBimestre">
              <option *ngFor="let bimestre of bimestres; let index = index" [ngValue]="bimestre">
                {{bimestre.bimestreNombre}}</option>
            </select></td>

        <ng-template #noOwner>
          <td width="5%"><b>Mes</b></td>

          <td width="30%"><select id="meses" name="meses" class="form-control" [(ngModel)]="selectMes">
              <option *ngFor="let mes of meses; let index = index" [ngValue]="mes">{{mes.mesNombre}}</option>
            </select></td>
        </ng-template>


      </tr>

      <tr>

        <td width="5%"><b>Año</b></td>

        <td width="30%"><select id="anios" name="anios" class="form-control" [(ngModel)]="selectAnio">
            <option *ngFor="let anio of anios; let index = index" [ngValue]="anio">{{anio.anioValor}}</option>
          </select></td>
        <!-- <td width="5%"><b>Periodo</b></td>

        <td width="30%"><select id="tipoPeriodo" name="tipoPeriodo" class="form-control" [(ngModel)]="selectPeriodo"
            (change)="tipoPeriodo()">
            <option *ngFor="let tipoPeriodo of tipoPeriodos; let index = index" [ngValue]="tipoPeriodo">
              {{tipoPeriodo.tipoPeriodoNombre}}</option>
          </select></td> -->

        <td width="5%"><b>Archivo</b></td>

        <td width="30%"><select id="excelTipo" name="excelTipo" class="form-control" [(ngModel)]="selectExcelTipos"
            (change)="excelTipo()">
            <option *ngFor="let excelTipo of excelTipos; let index = index" [ngValue]="excelTipo">
              {{excelTipo.excelNombre}}</option>
          </select></td>



      </tr>



    </table>
  </div>

  <p></p>
  <table class="table  ">
    <tr>


      <div class="container">

        <div class="card">
          <!--<th>
            <div class="container">
              <div class="row">
                <div class="col-md-12 form-group">
                  <label class="control-label">Template</label>
                  <input type="file" class="form-control" (change)="CargarTem($event)" placeholder="Cargar archivo"
                    accept=".csv,application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel"
                    #myInputTem>
                  <p></p>
                  <div style="text-align: right;">
                    <button (click)="CargarColumnasTem()" class="btn btn-primary">Cargar columnas</button>
                  </div>
                </div>
              </div>
            </div>
          </th>

          <th>
            <div class="container">
              <div class="row">
                <div class="col-md-12 form-group">
                  <label class="control-label">SUA</label>
                  <input type="file" class="form-control" (change)="CargarExcelSua($event)" placeholder="Cargar archivo"
                    accept=".csv,application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel"
                    #myInputSua>
                  <p></p>
                  <div style="text-align: right;">
                    <button (click)="CargarColumnasSua()" class="btn btn-primary">Cargar columnas</button>
                  </div>
                </div>
              </div>
            </div>
          </th> -->

          <th>
            <div class="container">
              <div class="row">
                <div class="col-md-12 form-group">
                  <label class="control-label">Archivo</label>
                  <input type="file" class="form-control" (change)="Cargar($event)" placeholder="Cargar archivo"
                    accept=".csv,application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel"
                    #myInput>
                  <p></p>
                  <div style="text-align: right;" *ngIf="isAdmin || isSuper">
                    <button (click)="CargarColumnasExcel()" class="btn btn-primary">Cargar columnas</button>
                  </div>
                </div>
              </div>
            </div>
          </th>
        </div>
        <p></p>
        <button (click)="CargarDatosExcel()" class="btn btn-lg btn-primary btn-block">Cargar información</button>
      </div>
    </tr>
  </table>
</section>